Auth APIs/Push Notifications
Register Push Token
POST
/auth/push-tokenRegister an FCM push token for the current user.
Bearer token required
Content-Type:
application/jsonRequest Body
| Name | Type | Required | Description |
|---|---|---|---|
token | string | Required | FCM token |
platform | string | Optional | webandroidiosDefault: web |
deviceId | string | Optional | Unique device identifier |
userAgent | string | Optional | Client user agent |
Request Example
JSON
{
"token": "fMr9K7...",
"platform": "android",
"deviceId": "device-uuid-123",
"userAgent": "openvts-Android/1.0"
}Code Examples
curl -X POST 'https://<your-domain>:3001/auth/push-token' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"token": "fMr9K7...",
"platform": "android",
"deviceId": "device-uuid-123",
"userAgent": "openvts-Android/1.0"
}'